probe::tcp.setsockopt
Prev | Chapter 13. Networking Tapset | Next

## Name

probe::tcp.setsockopt — Call to `setsockopt`

## Synopsis

    tcp.setsockopt

## Values

`sock`

  Network socket

`level`

  The level at which the socket options will be manipulated

`name`

  Name of this probe

`family`

  IP address family

`optstr`

  Resolves optname to a human-readable format

`optname`

  TCP socket options (e.g. TCP_NODELAY, TCP_MAXSEG, etc)

`optlen`

  Used to access values for `setsockopt`

## Context

The process which calls setsockopt

Prev | Up | Next
probe::tcp.sendmsg.return | Home | probe::tcp.setsockopt.return